### Method

# St TextureCache load_gicon

#### Declaration [src]

    ClutterActor*
    st_texture_cache_load_gicon (
      StTextureCache* cache,
      StThemeNode* theme_node,
      GIcon* icon,
      gint size,
      gint paint_scale,
      gfloat resource_scale
    )

#### Description [src]

This method returns a new `ClutterActor` for a given `GIcon`. If the icon isn’t loaded already, the texture will be filled asynchronously.

#### Parameters

`theme_node`

  Type: `StThemeNode`

  The `StThemeNode` to use for colors, or `NULL` if the icon must not be recolored.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`icon`

  Type: `GIcon`

  The `GIcon` to load.

  The data is owned by the caller of the method.

`size`

  Type: `gint`

  Size of themed.

`paint_scale`

  Type: `gint`

  Scale factor of display.

`resource_scale`

  Type: `gfloat`

  Resource scale factor.

#### Return value

Type: `ClutterActor`

A new `ClutterActor` for the icon, or `NULL` if not found.

The data is owned by the instance.
The return value can be `NULL`.